using Newtonsoft.Json.Linq;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMedicalInsurance.Business
{
    class OPFeeUploadCancelProcess : AbstractProcess
    {
        public override CallResult Process(JObject input)
        {
            //中心取消传送
            if (cBus.cancleFeeUpload(TradeEnum.OutpatientFeeCancel, out outParam) != 0)
            {
                return Error(-1, "取消中心费用");
            }
            //云平台取消传送
            if (mIS.deleteFee(out outParam) != 0)
            {
                return Error(-1, "删除医保平台费用");
            }
            return Success();
        }
    }
}
